Broadcasts the coordinates of players when they go AFK.

![Screenshot](images/AntiAfk_Screenshot.jpg)

## Requirements
- Purpur 1.19.2+ (you might be able to compile for older versions)
- A player-idle-timeout set in server.properties (0 means no timeout; measured in minutes)
(For example, if you want to broadcast AFK players' coordinates in the chat when they're AFK for 15 minutes, set it to 15)
- [`player.idle-timeout.kick-if-idle`](https://purpurmc.org/docs/Configuration/kick-if-idle) set to false (otherwise the players will be kicked when AFK!)

## Setup
To set up, first build the JAR file with Maven. (Don't want to? [Here](https://git.thetechrobo.ca/smp/artifacts/raw/branch/master/ttheafk.jar)'s a precompiled one.)

Then, set up the configuration values as shown in [Requirements](#Requirements).

**You're done!** You might want to test it with a low player-idle-timeout (like 1), just to make sure it's working.