package troll_the_afks;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.purpurmc.purpur.event.PlayerAFKEvent;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.TextComponent;
import net.kyori.adventure.text.format.TextColor;

public class EventMgr implements Listener {
	@EventHandler
	public void onPlayerAfk(PlayerAFKEvent e) {
		if (!e.isGoingAfk()) {
			// The player is coming back from AFK, not going AFK
			return;
		}
		Player p = e.getPlayer();
		Location loc = p.getLocation();
		Component username = p.displayName()
				.color(TextColor.color(0, 55, 255));
		int x = loc.getBlockX();
		int y = loc.getBlockY();
		int z = loc.getBlockZ();
		TextComponent comp = Component.text("Player ").color(TextColor.color(20, 165, 135))
				.append(username)
				.append(Component.text(" is AFK at ").color(TextColor.color(200, 20, 100)))
				.append(Component.text("[" + x + ", " + y + ", " + z + "]"));
		Bukkit.broadcast(comp);
	}
}
